Bug 1418342 (CVE-2017-5856) - CVE-2017-5856 Qemu: scsi: megasas: host memory leakage in megasas_handle_dcmd
Summary: CVE-2017-5856 Qemu: scsi: megasas: host memory leakage in megasas_handle_dcmd
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5856
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418344
Blocks: 1364375
TreeView+ depends on / blocked
 
Reported: 2017-02-01 15:29 UTC by Prasad J Pandit
Modified: 2021-02-17 02:41 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:45 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-02-01 15:29:49 UTC
Quick Emulator(Qemu) built with the MegaRAID SAS 8708EM2 Host Bus Adapter
emulation support is vulnerable to a memory leakage issue. It could occur
while processing MegaRAID Firmware Interface(MFI) command in
'megasas_handle_dcmd' routine.

A privileged user inside guest could use this flaw to leak host memory
resulting DoS issue.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=765a707000e838c30b18d712fe6cb3dd8e0435f3

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/01/19

Comment 1 Prasad J Pandit 2017-02-01 15:30:24 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-02-01 15:32:26 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1418344]


Note You need to log in before you can comment on or make changes to this bug.